<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Box Sizing Demo</title>

	<style type="text/css">
				/*Notes:  without the border-box
							-it add up the set padding and border to the total size of the element
							total size = p + b + set length (width & height)
							1px border + 50 padding + width:  150px = 252 width;

							With the border-box
							Total size = p+b + adjusted length (height & width)
							1px border (x-axis) + 50 padding (x-axis) + 48px (width) = 150 width
							*/
		*{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}
		#box{

			height: 150px;
			width: 150px;
			background-color: orange;
			padding: 50px;
			border: 1px solid black;
		}

	</style>
</head>
<body>

	<div id="box">Hello</div>


</body>
</html>